Skip to content

Validate Electoral Roll

Access to Electoral Roll as a DVS data source is restricted and subject to approval from Dept of Home Affairs. Business Users must have an obligation to verify an individual's address details under the Anti-Money Laundering and Counter Terrorism Financing Act 2006 (AML/CTF Act) or the Financial Transactions Reports Act 1988 (FTR Act). To commence the approval process please contact support@rapidid.com.

Request

Method: POST

URL: https://{{environment}}.ridx.io/dvs/v1/electoralRoll

Headers

Header Value
token {{access_token}}
Content-Type application/json

Request Body

Property Required Min length Max length Type Description
BirthDate True N/A N/A String Birth date of citizen, format: YYYY-MM-DD.

Day Range: 0-31
Month Range: 0-12
Year Range: 1753-3000

Partial dates are not accepted.
GivenName True 1 25 String Alpha characters (upper and lowercase), hyphens, apostrophes and spaces only.
FamilyName True 1 25 String Alpha characters (upper and lowercase), hyphens, apostrophes and spaces only.
Postcode True 4 4 String Numeric characters only.
Suburb True 1 25 String Alpha characters (upper and lowercase), hyphens, apostrophes and spaces only.
State True 2 3 String ACT, NSW, NT, QLD, SA, TAS, VIC, WA
StreetName False
(conditionally optional)
0 25 String Alpha characters (upper and lowercase), hyphens, apostrophes and spaces only.
*If the individuals address as registered on the Electoral Roll contains a Street Name it must be provided.
StreetType False
(conditionally optional)
0 18 String Alpha characters (upper and lowercase) and spaces only.
*If the individuals address as registered on the Electoral Roll contains a Street Type it must be provided.
StreetNumber False
(conditionally optional)
0 6 String Alpha numeric characters (upper and lowercase), hyphens, apostrophes and spaces only.
*If the individuals address as registered on the Electoral Roll contains a Street Number it must be provided.
FlatUnitNumber False
(conditionally optional)
0 6 String Alpha numeric characters (upper and lowercase) and hyphens only.
*If the individuals address as registered on the Electoral Roll contains a Flat/Unit Number it must be provided.
HabitationBuildingName False
(conditionally optional)
0 25 String Alpha numeric characters (upper and lowercase), hyphens, apostrophes and spaces only.
*If the individuals address as registered on the Electoral Roll contains a Habitation Building Name it must be provided.

Important Response Data

Property Type Description
VerifyDocumentResult Object The object containing the reply
VerificationResultCode String A value of Y (Verified), N (Not Verified), D (Document Error), S (Server Error)
VerificationRequestNumber String A receipt number of the request created by RapidID
OriginatingAgencyCode String A code representing the customers unique identifier code
ActivityId String A activity process id
attributes Object An object containing the description on the response
i:type String A description on the request response
Errors Object This object is returned only when VerificationResultCode value is N (No).This object provides greater insight into why the request did not match the data held by the issuer
Error Object This object contains fields such as Field, Message and Source with a description on the error response

Example Requests

{
  "BirthDate": "1996-08-29",
  "GivenName": "LEAH",
  "FamilyName": "LEAHY",
  "Postcode": "0872",
  "State": "NT",
  "Suburb": "KALTUKATJARA"
}
{
  "BirthDate": "1953-09-01",
  "GivenName": "WILMA MARGARET",
  "FamilyName": "MARINO",
  "Postcode": "2321",
  "State": "NSW",
  "StreetName": "Cessnock",
  "StreetNumber": "333",
  "StreetType": "Rd",
  "Suburb": "Gillieston Heights",
  "FlatUnitNumber": "60",
  "HabitationBuildingName": "OAKWOOD VILLAGE"
}
{
  "BirthDate": "1965-01-01",
  "GivenName": "john",
  "FamilyName": "smith",
  "Suburb": "Sydney",
  "State": "NSW",
  "Postcode": "1234"
}
{
  "BirthDate": "1996-08-29",
  "GivenName": "LEAH",
  "FamilyName": "LEAHY",
  "Postcode": "0872",
  "State": "NTT",
  "Suburb": "KALTUKATJARA"
}
{
  "BirthDate": "1996-08-29",
  "GivenName": "LEAH",
  "FamilyName": "LEAHY",
  "Postcode": "087222",
  "State": "NT",
  "Suburb": "KALTUKATJARA"
}

Example Responses

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "AECResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "Y"
  },
  "fieldDetails": {
    "BirthDate": "Full Match",
    "GivenName": "Full Match",
    "FamilyName": "Full Match",
    "Postcode": "Full Match",
    "State": "Full Match",
    "Suburb": "Full Match"
  },
  "rapidID": "check-id"
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "AECResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "Y"
  },
  "fieldDetails": {
    "BirthDate": "Full Match",
    "GivenName": "Full Match",
    "FamilyName": "Full Match",
    "Postcode": "Full Match",
    "State": "Full Match",
    "StreetName": "Full Match",
    "StreetNumber": "Full Match",
    "StreetType": "Full Match",
    "Suburb": "Full Match",
    "FlatUnitNumber": "Full Match",
    "HabitationBuildingName": "Full Match"
  },
  "rapidID": "check-id"
}

Status: 400 Bad Request

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "AECResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "N"
  },
  "fieldDetails": {
    "BirthDate": "No Match",
    "GivenName": "No Match",
    "FamilyName": "No Match",
    "Suburb": "No Match",
    "State": "No Match",
    "Postcode": "No Match"
  },
  "rapidID": "check-id"
}

Status: 400 Bad Request

{
  "result": {
    "statuscode": "400",
    "error": "State is invalid"
  }
}

Status: 200 OK

{
  "VerifyDocumentResult": {
    "attributes": {
      "i:type": "AECResponse"
    },
    "ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "Errors": {
      "Error": {
        "Field": "Postcode",
        "Message": "Postcode must be exactly 4 digits",
        "Source": "DVS"
      }
    },
    "OriginatingAgencyCode": "XXXX",
    "VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "VerificationResultCode": "N"
  },
  "fieldDetails": {
    "BirthDate": "No Match",
    "GivenName": "No Match",
    "FamilyName": "No Match",
    "Postcode": "No Match",
    "State": "No Match",
    "Suburb": "No Match"
  },
  "rapidID": "check-id"
}